using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 粉丝数据表
    /// </summary>
    [SugarTable("YB_WXFans", TableDescription = "粉丝数据表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_WXFans
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public System.Guid Id { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        [SugarColumn(ColumnDescription = "昵称", ColumnDataType = "nvarchar(100)")]
        public System.String NickName { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        [SugarColumn(ColumnDescription = "头像地址", ColumnDataType = "varchar(200)")]
        public System.String HeadImgUrl { get; set; }

        /// <summary>
        /// 性别,1-男,2-女,0-未知
        /// </summary>
        [SugarColumn(ColumnDescription = "性别,1-男,2-女,0-未知")]
        public GenderType Sex { get; set; }

        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(ColumnDescription = "城市", ColumnDataType = "nvarchar(100)")]
        public System.String City { get; set; }

        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(ColumnDescription = "国家", ColumnDataType = "nvarchar(100)")]
        public System.String Country { get; set; }

        /// <summary>
        /// 省份
        /// </summary>
        [SugarColumn(ColumnDescription = "省份", ColumnDataType = "nvarchar(100)")]
        public System.String Province { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        [SugarColumn(ColumnDescription = "语言", ColumnDataType = "varchar(50)")]
        public System.String Language { get; set; }

        /// <summary>
        /// 来源类型,1-扫码网页授权,2-小程序
        /// </summary>
        [SugarColumn(ColumnDescription = "来源类型,1-扫码网页授权,2-小程序")]
        public System.Int32 FromType { get; set; }

        /// <summary>
        /// 针对网页授权号的openid
        /// </summary>
        [SugarColumn(ColumnDescription = "针对网页授权号的openid", ColumnDataType = "varchar(50)")]
        public System.String OldOpenId { get; set; }

        /// <summary>
        /// 针对网页授权号的unionid
        /// </summary>
        [SugarColumn(ColumnDescription = "针对网页授权号的unionid", ColumnDataType = "varchar(50)")]
        public System.String FansId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
